//================================================================================================
// $Id: checker.h 3152 2014-11-12 21:03:55Z aron $
//
// Project:
//		Welltype Parser
// Contents:
//		AST checker
// Authors:
//		Aron Barath, 2014
//================================================================================================
// Copyright (c) Aron Barath
//================================================================================================

#ifndef WTPARSER_CHECKER_H
#define WTPARSER_CHECKER_H

namespace wtast
{
class AstNode;
class FunctionDefinition;
} // wtast

namespace wtparser
{
namespace checker
{

bool SubtreeIsPure(wtast::AstNode* node);
bool CheckFunctionReturnCoverage(wtast::FunctionDefinition* funcdef);

} // checker
} // wtparser

#endif // WTPARSER_CHECKER_H
