#ifndef WTRUNTIME_SYMTAB_B_H
#define WTRUNTIME_SYMTAB_B_H

#include "config.h"
#include "wtruntime.h"

struct wtr_symtab_b;
struct wtr_sym_exc;

/* table for builtin- and user symbols */

struct wtr_symtab_b* wtr_symtab_b_create(struct wtr_vm* const vm);

struct wtr_sym_exc* wtr_symtab_b_add_exc(struct wtr_vm* const vm,
	struct wtr_symtab_b* const symtab, const char* const exc_name,
	wt_error* const out_err);

struct wtr_sym_cfunc* wtr_symtab_b_add_func(struct wtr_vm* const vm,
	struct wtr_symtab_b* const symtab, const char* const func_name,
	wt_uint32_t argc, const wt_typeid* argv, wt_uint32_t retc,
	const wt_typeid* retv, WT_PFN_EXTFUNC func, void* token,
	wt_error* const out_err);

#endif /* WTRUNTIME_SYMTAB_B_H */
