#include "config_private.h"
#include "types.h"
#include "wtruntime.h"

const char* wtrMnError(wt_error err)
{
	switch(err)
	{
	case WTE_OK:      return "OK";
	case WTE_BADARG:  return "BADARG";
	case WTE_FAULT:   return "FAULT";
	case WTE_NOENT:   return "NOENT";
	case WTE_NOMEM:   return "NOMEM";
	case WTE_NOFIT:   return "NOFIT";
	case WTE_DUPENT:  return "DUPENT";
	case WTE_REFER:   return "REFER";
	case WTE_BINERR:  return "BINERR";
	case WTE_BADVER:  return "BADVER";
	case WTE_UNRES:   return "UNRES";
	case WTE_AMBIG:   return "AMBIG";
	case WTE_BADEX:   return "BADEX";
	case WTE_URTEX:   return "URTEX";
	case WTE_INVOKE:  return "INVOKE";
	case WTE_INTEG:   return "INTEG";
	case WTE_MEMSZ:   return "MEMSZ";
	case WTE_REFCTX:  return "REFCTX";
	case WTE_BADCTX:  return "BADCTX";
	case WTE_NOSTK:   return "NOSTK";
	case WTE_DESTRP:  return "DESTRP";
	case WTE_UCLEAN:  return "UCLEAN";
	case WTE_BADMAG:  return "BADMAG";
	case WTE_ABIVER:  return "ABIVER";
	case WTE_STKSZ:   return "STKSZ";
	case WTE_VINVAL:  return "VINVAL";
	case WTE_VNSEGS:  return "VNSEGS";
	case WTE_VSEGSZ:  return "VSEGSZ";
	case WTE_VINIT:   return "VINIT";
	case WTE_BADHEAP: return "BADHEAP";
	case WTE_SYMNAME: return "SYMNAME";
	case WTE_HAINIT:  return "HAINIT";
	case WTE_HADIGL:  return "HADIGL";
	case WTE_TYPEINF: return "TYPEINF";
	case WTE_GIDFULL: return "GIDFULL";
	case WTE_BADREL:  return "BADREL";
	case WTE_BADSYM:  return "BADSYM";
	case WTE_NREF:    return "NREF";
	default:          return NULL;
	}
}
